%global stackname catkin
%global gitrev 3c6beb1
Name:           python-catkin
Version:        0.4.4
Release:        2.git%{gitrev}%{?dist}
Summary:        Collection of CMake macros for ROS

License:        BSD
URL:            http://ros.org/doc/fuerte/api/catkin/html/
#wget --content-disposition https://github.com/wg-debs/catkin-release/tarball/upstream/0.4.4
Source0:        wg-debs-%{stackname}-release-upstream-%{version}-0-g%{gitrev}.tar.gz
# Moves /usr/etc to /etc
Patch0:         ros-catkin-etc.patch
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  python-argparse
BuildRequires:  python-empy
BuildRequires:  python-nose
BuildRequires:  python-rospkg
BuildRequires:  python-setuptools-devel
BuildRequires:  python-yaml

Requires:  cmake
Requires:  gtest
Requires:  python-argparse
Requires:  python-empy
Requires:  python-nose
Requires:  python-rospkg
Requires:  python-setuptools-devel
Requires:  python-yaml
Requires:  ros-release

%description
Catkin is the Willow Garage low-level build system macros and infrastructure.

%prep
%setup -q -n wg-debs-%{stackname}-release-e9c0f23
%patch0 -p2 -b .etc

%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
#%{__python} setup.py install --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_usr}/lib/pkgconfig/catkin.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{stackname}/profile.d
mv $RPM_BUILD_ROOT%{_usr}/etc/%{stackname}/profile.d/* $RPM_BUILD_ROOT/etc/%{stackname}/profile.d

%files
%doc
%dir %{_sysconfdir}/catkin/
%dir %{_sysconfdir}/catkin/profile.d/
%config(noreplace) %{_sysconfdir}/catkin/profile.d/*
%{_datadir}/%{stackname}
%{_datadir}/ros/cmake/*.cmake
%{_bindir}/*
%{_datadir}/pkgconfig/*.pc
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info


%changelog
* Sun Oct 28 2012 Rich Mattes <richmattes@gmail.com> - 0.4.4-2.git3c6beb1
- Use ros-release macros
- Fix directory ownership issues

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.4.4-1.git3c6beb1
- Initial package
